<?php $footerLayout = serpentsoft_get_data('serpentsoft_footerlayout');

switch ($footerLayout){
    case 'f-none':
        break;

    case 'f-13c-left':
        echo '<aside class="span3 f-13c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';

        echo '<aside class="span9 f-23c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
    break;

    case 'f-13c-right':
        echo '<aside class="span9 f-23c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';

        echo '<aside class="span3 f-13c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
    break;

    case 'f-3c':
        echo '<aside class="span4 f-13c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';

        echo '<aside class="span4 f-13c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span4 f-13c">';
            if ( is_active_sidebar('footer-third-sidebar') ):
            dynamic_sidebar('footer-third-sidebar');
            endif;
        echo '</aside>';
    break;

    case 'f-2c':
        echo '<aside class="span6 f-24c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span6 f-24c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
    break;

    case 'f-2c-left':
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span6 f-24c">';
            if ( is_active_sidebar('footer-third-sidebar') ):
            dynamic_sidebar('footer-third-sidebar');
            endif;
        echo '</aside>';
    break;

    case 'f-2c-right':
        echo '<aside class="span6 f-24c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-third-sidebar') ):
            dynamic_sidebar('footer-third-sidebar');
            endif;
        echo '</aside>';
    break;

    case 'f-4c':
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-first-sidebar') ):
            dynamic_sidebar('footer-first-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-second-sidebar') ):
            dynamic_sidebar('footer-second-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-third-sidebar') ):
            dynamic_sidebar('footer-third-sidebar');
            endif;
        echo '</aside>';
        
        echo '<aside class="span3 f-14c">';
            if ( is_active_sidebar('footer-fourth-sidebar') ):
            dynamic_sidebar('footer-fourth-sidebar');
            endif;
        echo '</aside>';
    break;
} ?>
